#2838 closed defect (fixed)

Termios task driven mode should use mutex for device operations

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Termios has a task driven mode (TERMIOS_TASK_DRIVEN). This mode aims to avoid long sections with disabled interrupts. This is only partly implemented since the device level state is still protected by disabled interrupts. Use a mutex to protect the device level state in task driven mode to fix this issue.

Change History (5)

comment:1 Changed on Dec 16, 2016 at 10:29:41 AM by Sebastian Huber <sebastian.huber@…>

In c3764ce80588461d086e844e68002142dbd1ead9/rtems:

termios: Use mutex for task driven mode

Termios has a task driven mode (TERMIOS_TASK_DRIVEN). This mode aims to
avoid long sections with disabled interrupts. This is only partly
implemented since the device level state is still protected by disabled
interrupts. Use a mutex to protect the device level state in task driven
mode to fix this issue.

Update #2838.

comment:2 Changed on Dec 23, 2016 at 1:48:25 PM by Sebastian Huber

Resolution: fixed
Status: newclosed

comment:3 Changed on Feb 3, 2017 at 9:58:24 AM by Sebastian Huber <sebastian.huber@…>

In 85ed95ec4808d021be50a1ab1f476476a09c5a22/rtems:

termios: Fix static device initalization

This enables early printk() support.

Update #2838.

comment:4 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.